function pointradiusdatab_obj()
{
   var MsgName = "[POINTRADIUSDATAB]"
   
   this.update = function(input)
   {
      var start = input.indexOf(MsgName);

      //don't start parsing if this is not the right message
      if(start < 0)
      {
         return false;
      }
      this.name = MsgName;

      //init the parser
      var p = new parser(input, start + MsgName.length);

      //get the pvt1b info
      this.length     = p.fetchU16();
      this.week       = p.fetchU16();
      this.TOWms      = p.fetchU32();
      this.TOW        = this.TOWms/1000.0;

      this.ver        = p.fetchU04();
      this.conf       = p.fetchU04();
      
      this.numEntries = p.fetchU08();
      
      if(this.numEntries > 0)
      {
         this.reserve    = p.fetchU08();
         
         var tmp1        = p.fetchU08();
         var tmp2        = p.fetchU08();
         this.radius     = ((tmp2&0x3F) << 8) | tmp1;
         
         this.latdir = (tmp2 & 0x40) ? 'S' : 'N';
         this.londir = (tmp2 & 0x80) ? 'W' : 'E';
         
         tmp1            = p.fetchU08();
         tmp2            = p.fetchU08();
         this.lat        = ((tmp2<<8) | tmp1) * 10 / 3600;
         tmp1            = p.fetchU08();
         tmp2            = p.fetchU08();
         this.lon        = ((tmp2<<8) | tmp1) * 10 / 3600;
         
         this.latd       = Math.floor( Math.abs(this.lat) );
         this.lond       = Math.floor( Math.abs(this.lon) );
         lat_min_sec     = (Math.abs(this.lat)%1)*60.0;
         lon_min_sec     = (Math.abs(this.lon)%1)*60.0;
         this.latm       = Math.floor(lat_min_sec);
         this.lonm       = Math.floor(lon_min_sec);
         this.lats       = (lat_min_sec%1)*60.0;
         this.lons       = (lon_min_sec%1)*60.0;
         
         this.standardLat = this.latdir + ' ' + this.latd + '&#176 ' + this.latm + "' " + this.lats.toFixed(0) + '"';
         this.standardLon = this.londir + ' ' + this.lond + '&#176 ' + this.lonm + "' " + this.lons.toFixed(0) + '"';
      }
      else
      {
         this.radius      = "";
         this.standardLat = "";
         this.standardLon = "";
      }
      return true;
   }
}